#pragma once

class CGraphicOutput;

class CActionHandler
{
public:
    CActionHandler(CGraphicOutput* pGO);
    ~CActionHandler(void);

    virtual void cellOpen(int irow, int icol) = 0;
    virtual void cellMark(int irow, int icol) = 0;
    virtual void newGame(int width, int height, int mineCount) = 0;
    virtual void exitProgram() = 0;

protected:
    CGraphicOutput *m_pGO;
};
